# perl
#
# Class Report::Porf::IReportConfigurator
#
# Perl Open Report Framework (Porf)
#
# Something like an "Interface" for new ReportConfigurator classes
#
# Ralf Peine, Sat Feb 01 08:14:12 2014
#
# More documentation at the end of file
#------------------------------------------------------------------------------

$VERSION = "0.950";

package Report::Porf::IReportConfigurator

# --- creation -------------------------------------
sub new { die "not implemented"; }

# --- debug ----------------------------------------
sub SetVerbose { die "not implemented"; }
sub GetVerbose { die "not implemented"; }

# --- to be used by framework ----------------------
# --- may be used by external user classes also ----

sub CreateAndConfigureReport { die "not implemented"; }
sub ConfigureReport { die "not implemented"; }

#==============================================================================

# --- special for html -----------------------------
sub SetAlternateRowColors { die "not implemented"; }
sub GetAlternateRowColors { die "not implemented"; }
sub AddBackgroundColorAttribute { die "not implemented"; }
sub AddOptionalAttribute { die "not implemented"; }

# --- special for csv ------------------------------
sub SetDataSeparatorChar { die "not implemented"; }
sub GetDataSeparatorChar { die "not implemented"; }
sub SetDataStringChar { die "not implemented"; }
sub GetDataStringChar { die "not implemented"; }

# --- NO special subs for text needed --------------

=head1 NAME

C<Report::Porf::IReportConfigurator>

What to implement for a new ReportConfiguratorClass

Part of Perl Open Report Framework (Porf).

=head1 Documentation

See Framework.pm for documentation of features and usage.

=head1 LICENSE AND COPYRIGHT

Copyright (c) 2013 by Ralf Peine, Germany.  All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.6.0 or,
at your option, any later version of Perl 5 you may have available.

=head1 DISCLAIMER OF WARRANTY

This library is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose.

=cut
