# Perl 
#
# Class Report::Porf::Table::Simple::AutoColumnConfigurator
#
# Perl Open Report Framework (Porf)
#
# Configure Report columns automatically
#
# Ralf Peine, Mon Mar 31 23:21:18 2014
#
# More documentation at the end of file
#------------------------------------------------------------------------------

$VERSION = "0.953";

use strict;
use warnings;

#--------------------------------------------------------------------------------
#
#  Report::Porf::Table::Simple::AutoColumnConfigurator
#
#--------------------------------------------------------------------------------

package Report::Porf::Table::Simple::AutoColumnConfigurator;

# --- new Instance, Do NOT call direct!!! -----------------
sub new
{
    my $caller = $_[0];
    my $class  = ref($caller) || $caller;
    
    # let the class go
    my $self = {};
    bless $self, $class;

    $self->{Configurators} = {};

    return $self;
}

# --- create report with automatic configured columns ------------------
sub CreateReport {
    my ($self,
	$list_ref,
	$report_framework,
	) = @_;

    return unless scalar @$list_ref;

    my $first_element = $list_ref->[0];

    die 'Auto reports only possible for hash elements' unless ref $first_element eq 'HASH';

    $report_framework = Report::Porf::Framework::Get() unless $report_framework;
    my $report        = $report_framework->CreateReport();
    
    foreach my $key (sort(keys(%$first_element))) {
	$report->CC (-h => $key, -vn => $key);
    }

    $report->ConfigureComplete();

    return $report;
}
