# Perl 
#
# Class Report::Porf::UiDesign
#
# Perl Open Report Framework (Porf)
#
# Framework to create/configure Reports for any output format.
#
# Ralf Peine, Fri Mar 28 06:43:50 2014
#
# More documentation at the end of file
#------------------------------------------------------------------------------

$VERSION = "0.953";

use strict;
use warnings;

#--------------------------------------------------------------------------------
#
#  Report::Porf::UiDesign
#
#--------------------------------------------------------------------------------

package Report::Porf::UiDesign;

die 'has to be implemented!!';

=head1 NAME

C<Report::Porf::UiDesign>

Store Designs for reports here.

Part of Perl Open Report Framework (Porf).

=head1 Documentation

Here you can specify special designs by styles.

A I<style> can be just a I<name (string)>, i.E. for HTML-CSS or a
I<set of options> to use in configure_column(). Explicite given
options in call override those of the style.

  $report->configure_column (head => 'Date', style => 'date_time', value_named => 'Date');

will get the style with the name C<'date_time'> from the UiDesign set
for the report.

A style can contain every attribute of configure_column except C<head>
and C<value*> options. Also containing C<style> as string is
possible. In case of HTML output it will be used as CSS style name.

As value of option can be set, whatever the report accepts: values or closures (
C<sub {...}>.

=head1 LICENSE AND COPYRIGHT

Copyright (c) 2013 by Ralf Peine, Germany.  All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.6.0 or,
at your option, any later version of Perl 5 you may have available.

=head1 DISCLAIMER OF WARRANTY

This library is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose.

=cut
